Guest User

guessit_sabnznbd_erroronly

a guest
Sep 24th, 2021
83
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. Exception in thread Thread-10:
  2. Traceback (most recent call last):
  3. File "/usr/lib/python3/dist-packages/guessit/api.py", line 192, in guessit
  4. config = self.configure(options, sanitize_options=False)
  5. File "/usr/lib/python3/dist-packages/guessit/api.py", line 163, in configure
  6. self.rebulk = rules_builder(advanced_config)
  7. File "/usr/lib/python3/dist-packages/guessit/rules/__init__.py", line 56, in rebulk_builder
  8. rebulk.rebulk(episodes(_config('episodes')))
  9. File "/usr/lib/python3/dist-packages/guessit/rules/properties/episodes.py", line 168, in episodes
  10. rebulk.chain(
  11. File "/usr/lib/python3/dist-packages/rebulk/builder.py", line 179, in regex
  12. return self.pattern(self.build_re(*pattern, **kwargs))
  13. File "/usr/lib/python3/dist-packages/rebulk/builder.py", line 107, in build_re
  14. return RePattern(*pattern, **kwargs)
  15. File "/usr/lib/python3/dist-packages/rebulk/pattern.py", line 441, in __init__
  16. pattern = call(re.compile, pattern, **self._kwargs)
  17. File "/usr/lib/python3/dist-packages/rebulk/loose.py", line 60, in call
  18. return function(*call_args, **call_kwargs)
  19. File "/home/chris/.local/lib/python3.8/site-packages/regex/regex.py", line 351, in compile
  20. return _compile(pattern, flags, ignore_unused, kwargs, _cache_all)
  21. File "/home/chris/.local/lib/python3.8/site-packages/regex/regex.py", line 602, in _compile
  22. raise ValueError('unused keyword argument {!a}'.format(any_one))
  23. ValueError: unused keyword argument 'children'
  24.  
  25. During handling of the above exception, another exception occurred:
  26.  
  27. Traceback (most recent call last):
  28. File "/usr/lib/python3.8/threading.py", line 932, in _bootstrap_inner
  29. self.run()
  30. File "/usr/share/sabnzbdplus/sabnzbd/postproc.py", line 288, in run
  31. process_job(nzo)
  32. File "/usr/share/sabnzbdplus/sabnzbd/postproc.py", line 665, in process_job
  33. history_db.add_history_db(nzo, workdir_complete, postproc_time, script_log, script_line)
  34. File "/usr/share/sabnzbdplus/sabnzbd/database.py", line 283, in add_history_db
  35. t = build_history_info(nzo, storage, postproc_time, script_output, script_line, series_info=True)
  36. File "/usr/share/sabnzbdplus/sabnzbd/database.py", line 479, in build_history_info
  37. seriesname, season, episode = sabnzbd.newsunpack.analyse_show(nzo.final_name)[:3]
  38. File "/usr/share/sabnzbdplus/sabnzbd/newsunpack.py", line 2304, in analyse_show
  39. job = SeriesSorter(None, name, None, None, force=True)
  40. File "/usr/share/sabnzbdplus/sabnzbd/sorting.py", line 355, in __init__
  41. super().__init__(nzo, job_name, path, cat, cfg.tv_sort_string(), cfg.tv_categories(), guess, force)
  42. File "/usr/share/sabnzbdplus/sabnzbd/sorting.py", line 88, in __init__
  43. self.match()
  44. File "/usr/share/sabnzbdplus/sabnzbd/sorting.py", line 360, in match
  45. self.guess = guess_what(self.original_job_name, sort_type="episode")
  46. File "/usr/share/sabnzbdplus/sabnzbd/sorting.py", line 590, in guess_what
  47. guess = guessit.api.guessit(digit_fix + name, options=guessit_options)
  48. File "/usr/lib/python3/dist-packages/guessit/api.py", line 71, in guessit
  49. return default_api.guessit(string, options)
  50. File "/usr/lib/python3/dist-packages/guessit/api.py", line 222, in guessit
  51. raise GuessitException(string, options)
  52. guessit.api.GuessitException: An internal error has occured in guessit.
  53. ===================== Guessit Exception Report =====================
  54. version=3.1.0
  55. string=La.Gazzetta.Dello.Sport.09.24.2021.iTALiAN.RETAiL.eBook-DiVER-xpost
  56. options={'expected_title': [], 'excludes': ['part'], 'type': 'episode'}
  57. --------------------------------------------------------------------
  58. Traceback (most recent call last):
  59. File "/usr/lib/python3/dist-packages/guessit/api.py", line 192, in guessit
  60. config = self.configure(options, sanitize_options=False)
  61. File "/usr/lib/python3/dist-packages/guessit/api.py", line 163, in configure
  62. self.rebulk = rules_builder(advanced_config)
  63. File "/usr/lib/python3/dist-packages/guessit/rules/__init__.py", line 56, in rebulk_builder
  64. rebulk.rebulk(episodes(_config('episodes')))
  65. File "/usr/lib/python3/dist-packages/guessit/rules/properties/episodes.py", line 168, in episodes
  66. rebulk.chain(
  67. File "/usr/lib/python3/dist-packages/rebulk/builder.py", line 179, in regex
  68. return self.pattern(self.build_re(*pattern, **kwargs))
  69. File "/usr/lib/python3/dist-packages/rebulk/builder.py", line 107, in build_re
  70. return RePattern(*pattern, **kwargs)
  71. File "/usr/lib/python3/dist-packages/rebulk/pattern.py", line 441, in __init__
  72. pattern = call(re.compile, pattern, **self._kwargs)
  73. File "/usr/lib/python3/dist-packages/rebulk/loose.py", line 60, in call
  74. return function(*call_args, **call_kwargs)
  75. File "/home/chris/.local/lib/python3.8/site-packages/regex/regex.py", line 351, in compile
  76. return _compile(pattern, flags, ignore_unused, kwargs, _cache_all)
  77. File "/home/chris/.local/lib/python3.8/site-packages/regex/regex.py", line 602, in _compile
  78. raise ValueError('unused keyword argument {!a}'.format(any_one))
  79. ValueError: unused keyword argument 'children'
  80. --------------------------------------------------------------------
  81. Please report at https://github.com/guessit-io/guessit/issues.
  82. ====================================================================
  83.  
RAW Paste Data